/*   */
#include "heading.h"

extern HINSTANCE hInst;

LRESULT CALLBACK WindowFunc(HWND hWnd, UINT Message, WPARAM wParam, LPARAM lParam)
{
	RECT Rect1,Rect2;

	switch(Message)
	{
		case WM_CREATE:
			CreateWindowEx(0,"edit",NULL,WS_CHILD|WS_VISIBLE|WS_BORDER|WS_VSCROLL|
					ES_MULTILINE|ES_LEFT,0,0,0,0,hWnd,(HMENU)ID_Edit,hInst,NULL);
			break;

		case WM_COMMAND:
			switch(LOWORD(wParam))
			{
				case 100:
					ShowWindow(GetDlgItem(hWnd,ID_StatusBar),SW_HIDE);
					ShowWindow(GetDlgItem(hWnd,ID_ToolBar),SW_HIDE);
          break;

        case 101:
					ShowWindow(GetDlgItem(hWnd,ID_StatusBar),SW_SHOW);
					ShowWindow(GetDlgItem(hWnd,ID_ToolBar),SW_SHOW);
					break;

				case IDM_NEW:
					MessageBox(hWnd,"sssss","tttttttttt",MB_OK);
					break;
      }
      break;

    case WM_NOTIFY:
    	switch(((LPNMHDR)lParam)->code)
    	{
    		case TTN_GETDISPINFO:
						((LPTOOLTIPTEXT)lParam)->hinst = hInst; 
            // Specify the resource identifier of the descriptive 
            // text for the given button. 
            // idButton = lpttt->hdr.idFrom; 
            switch (((LPTOOLTIPTEXT)lParam)->hdr.idFrom) 
						{ 
                case IDM_NEW: 
                	  ((LPTOOLTIPTEXT)lParam)->lpszText = MAKEINTRESOURCE(IDS_WinClassName); 
                    break; 
                case IDM_OPEN: 
                    ((LPTOOLTIPTEXT)lParam)->lpszText = MAKEINTRESOURCE(IDS_WinTitleName); 
                    break; 
            }
            break;

        default:
        	return DefWindowProc(hWnd,Message,wParam,lParam);


    	}
    	break;

		case WM_SIZE:
			SendMessage(GetDlgItem(hWnd,ID_StatusBar),WM_SIZE,wParam,lParam);
			SendMessage(GetDlgItem(hWnd,ID_ToolBar),WM_SIZE,wParam,lParam);
			GetClientRect(GetDlgItem(hWnd,ID_StatusBar),&Rect1);
			GetClientRect(GetDlgItem(hWnd,ID_ToolBar),&Rect2);
			MoveWindow(GetDlgItem(hWnd,ID_Edit),0,Rect2.bottom+2,LOWORD(lParam),
					HIWORD(lParam)-Rect1.bottom-(Rect2.bottom+2),TRUE);
			break;

		case WM_DESTROY:
			PostQuitMessage(0);
			break;

		default:
			return DefWindowProc(hWnd,Message,wParam,lParam);
	}

	return 0;
}